WordPress.org

Ready to get started?Download WordPress

Forums

local install problem (6 posts)

  1. babyno2
    Member
    Posted 9 years ago #

    hi, i've got php version 5 and apache version 2 installed locally in my laptop. i tried installing wordpress 1.2 locally and i hit a problem in step 3. it says it hit a fatal error in line 705 in upgrade-functions.php found in the wp-admin directory.

    any thing i need to do to overcome the problem?

  2. carthik
    Member
    Posted 9 years ago #

    What was the error message?

  3. babyno2
    Member
    Posted 9 years ago #

    it says:

    Fatal error: Cannot use object of type stdClass as array in C:\Program Files\Apache Group\Apache2\htdocs\wordpress\wp-admin\upgrade-functions.php on line 705

  4. carthik
    Member
    Posted 9 years ago #

    Now search for the first five or six words of the error message in these forums and you'll have leads to the answer.

    Like this:
    http://wordpress.org/support/search.php?q=Cannot+use+object+of+type+stdClass+as+array

  5. TechGnome
    Moderator
    Posted 9 years ago #

    Here's your problem: "php version 5 " -- WP 1.2.x doesn't work under PHP5.... the changes that were needed weren't done until 1.5. As far a I know, the only way to get WP to run in PHP5 is using 1.5... which of course hasn't been officialy released (but did my eyes decieve me? Did I see that it's gone "gamma"-- we're getting closer folks!)

    Tg

  6. babyno2
    Member
    Posted 9 years ago #

    thanks!!!

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.